Main Page Modules Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# deQuaternion Class Reference

a quaternion calculation class More...

`#include <deMath.hpp>`

Collaboration diagram for deQuaternion:

[legend]
List of all members.

## Public Member Functions
void | operator+= (const deQuaternion &)
void | operator-= (const deQuaternion &)
void | operator *= (const deQuaternion &)
deQuaternion | operator+ (const deQuaternion &) const
deQuaternion | operator- (const deQuaternion &) const
deQuaternion | operator * (const deQuaternion &) const
bool | operator== (const deQuaternion &) const
bool | operator!= (const deQuaternion &) const
| operator deVec3d & ()
| operator const deVec3d & () const
deBoolean | IsValid () const
deBoolean | IsUnit () const
void | Multiply (const deQuaternion &q, deQuaternion &result) const
void | Add (const deQuaternion &q, deQuaternion &result) const
void | Subtract (const deQuaternion &q, deQuaternion &result) const
void | Set (deDouble xAxis, deDouble yAxis, deDouble zAxis, deDouble wAxis)
deDouble | Length () const
void | Normalize ()
void | Interpolate (const deQuaternion &q, deDouble balance, deQuaternion &result)
void | RotateX (deDouble radians)
void | RotateY (deDouble radians)
void | RotateZ (deDouble radians)
deBoolean | FromMatrix (const deTransformInfo &matrix)
void | ToMatrix (deTransformInfo &matrix) const
| deQuaternion ()
| deQuaternion (deDouble xAxis, deDouble yAxis, deDouble zAxis, deDouble wAxis)
| deQuaternion (deVec3d &axisdeVector, deDouble www)
## Public Attributes
deDouble | w
## Static Public Attributes
const deDouble | UNIT_TOLERANCE = 0.001f
const deDouble | SLERP_EPSILON = 0.00001f

## Detailed Description

a quaternion calculation class

## Constructor & Destructor Documentation

deQuaternion::deQuaternion | ( |  | ) | `[inline]`

deQuaternion::deQuaternion | ( | deDouble | xAxis,
|  | deDouble | yAxis,
|  | deDouble | zAxis,
|  | deDouble | wAxis
| ) | `[inline]`

deQuaternion::deQuaternion | ( | deVec3d & | axisdeVector,
|  | deDouble | www
| ) | `[inline]`

## Member Function Documentation

void deQuaternion::Add | ( | const deQuaternion & | q,
|  | deQuaternion & | result
| ) | const

deBoolean deQuaternion::FromMatrix | ( | const deTransformInfo & | matrix | ) |

void deQuaternion::Interpolate | ( | const deQuaternion & | q,
|  | deDouble | balance,
|  | deQuaternion & | result
| ) |

deBoolean deQuaternion::IsUnit | ( |  | ) | const

deBoolean deQuaternion::IsValid | ( |  | ) | const

deDouble deQuaternion::Length | ( |  | ) | const

void deQuaternion::Multiply | ( | const deQuaternion & | q,
|  | deQuaternion & | result
| ) | const

void deQuaternion::Normalize | ( |  | ) |

deQuaternion deQuaternion::operator * | ( | const deQuaternion & |  | ) | const

void deQuaternion::operator *= | ( | const deQuaternion & |  | ) |

deQuaternion::operator const deVec3d & | ( |  | ) | const`[inline]`

deQuaternion::operator deVec3d & | ( |  | ) | `[inline]`

bool deQuaternion::operator!= | ( | const deQuaternion & |  | ) | const

deQuaternion deQuaternion::operator+ | ( | const deQuaternion & |  | ) | const

void deQuaternion::operator+= | ( | const deQuaternion & |  | ) |

deQuaternion deQuaternion::operator- | ( | const deQuaternion & |  | ) | const

void deQuaternion::operator-= | ( | const deQuaternion & |  | ) |

bool deQuaternion::operator== | ( | const deQuaternion & |  | ) | const

void deQuaternion::RotateX | ( | deDouble | radians | ) | `[inline]`

void deQuaternion::RotateY | ( | deDouble | radians | ) | `[inline]`

void deQuaternion::RotateZ | ( | deDouble | radians | ) | `[inline]`

void deQuaternion::Set | ( | deDouble | xAxis,
|  | deDouble | yAxis,
|  | deDouble | zAxis,
|  | deDouble | wAxis
| ) | `[inline]`

void deQuaternion::Subtract | ( | const deQuaternion & | q,
|  | deQuaternion & | result
| ) | const

void deQuaternion::ToMatrix | ( | deTransformInfo & | matrix | ) | const

## Member Data Documentation

const deDouble deQuaternion::SLERP_EPSILON = 0.00001f`[static]`

const deDouble deQuaternion::UNIT_TOLERANCE = 0.001f`[static]`

deVec3d deQuaternion::vector

deDouble deQuaternion::w

deDouble deQuaternion::x

deDouble deQuaternion::y

deDouble deQuaternion::z

The documentation for this class was generated from the following files:

- deMath.hpp
- deQuaternion.cpp